Last Comment Bug 703568 - Disable Battery API by default in Firefox 10
: Disable Battery API by default in Firefox 10
Status: RESOLVED FIXED
:
Product: Core
Classification: Components
Component: DOM (show other bugs)
: 10 Branch
: All All
: -- normal (vote)
: mozilla10
Assigned To: Mounir Lamouri (:mounir)
:
: Andrew Overholt [:overholt]
Mentors:
Depends on:
Blocks: 678694
  Show dependency treegraph
 
Reported: 2011-11-18 05:44 PST by Mounir Lamouri (:mounir)
Modified: 2012-02-13 17:14 PST (History)
3 users (show)
mounir: in‑testsuite+
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
+
fixed
-


Attachments
Patch v1 (1.32 KB, patch)
2011-11-18 06:17 PST, Mounir Lamouri (:mounir)
no flags Details | Diff | Splinter Review
Patch v1.1 (2.40 KB, patch)
2011-11-18 07:51 PST, Mounir Lamouri (:mounir)
jonas: review+
christian: approval‑mozilla‑aurora+
Details | Diff | Splinter Review

Description Mounir Lamouri (:mounir) 2011-11-18 05:44:14 PST
Currently Battery API is enabled by default on trunk (Nightly, Firefox 11) and in Aurora (Firefox 10). Though, some important changes happened in the trunk after the Aurora uplift. Porting the changes to Aurora have been denied so I think we should just disable Battery API in this release for obvious reasons (feature completeness being the biggest).
Comment 1 Mounir Lamouri (:mounir) 2011-11-18 06:17:40 PST
Created attachment 575439 [details] [diff] [review]
Patch v1
Comment 2 Mounir Lamouri (:mounir) 2011-11-18 07:51:10 PST
Created attachment 575456 [details] [diff] [review]
Patch v1.1

Including tests changes.
Comment 3 Mounir Lamouri (:mounir) 2011-11-19 02:33:01 PST
I want to disable Battery API by default on Firefox 10 given that most follow-up patches have been denied in Aurora. Nightly have those fixes and is going to have more of them. If we are lucky, we might even have a MacOS and Windows backend.
Comment 4 Mounir Lamouri (:mounir) 2011-11-29 09:01:41 PST
https://hg.mozilla.org/releases/mozilla-aurora/rev/17b974e76fdd

Note You need to log in before you can comment on or make changes to this bug.